package com.shinsoft.sto.service;

import com.shinsoft.sto.model.Reverse;
import com.baomidou.mybatisplus.extension.service.IService;

import com.shinsoft.tools.model.common.ResultJSON;


/**
 * <p>
 * 倒库记录表 服务类
 * </p>
 *
 * @author system
 * @since 2024-12-24
 */
public interface ReverseService extends IService<Reverse> {

    ResultJSON query(int page, int rows, String params);

    ResultJSON queryByPK(String id);

    ResultJSON save(String userId, String json);

    ResultJSON remove(String userId, String id);

    ResultJSON removeBatch(String userId, String ids);

}
